
TYPO3.Kickstart - Bug # 30526

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category:
Created: 2011-10-03 Assigned To:
Updated: 2011-10-06 Due date:
Affected Flow version:
Subject: When kickstarting models with DateTime properties invalid templates are generated
Description

When kickstarting models that contain properties of type
DateTime, CRUD Views throw exceptions because the property
can't be converted to string implicitly.
This can be fixed by wrapping DateTime properties in
format.date ViewHelpers in the affected templates.

Associated revisions
Revision ca4761be - 2011-10-04 19:41 - Bastian Waidelich

[BUGFIX] DateTime properties throw exception

When kickstarting models that contain properties of type
DateTime, CRUD Views throw exceptions because the property
can't be converted to string implicitly.
This is fixed by wrapping DateTime properties in
format.date ViewHelpers in the affected templates.

Change-Id: I3757583b839bfc5e4b59cb3013f7c379bda7f6a5
Resolves: #30526

History
#1 - 2011-10-03 15:54 - Mr. Hudson

Patch set 1 of change I3757583b839bfc5e4b59cb3013f7c379bda7f6a5 has been pushed to the review server.
It is available at http://review.typo3.org/5493

#2 - 2011-10-04 19:41 - Mr. Hudson

Patch set 2 of change I3757583b839bfc5e4b59cb3013f7c379bda7f6a5 has been pushed to the review server.
It is available at http://review.typo3.org/5493

#3 - 2011-10-06 09:36 - Bastian Waidelich
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ca4761bec9e2745acd71172ecc18f638cc6a717f.

2015-08-03 1/2

http://review.typo3.org/5493
http://review.typo3.org/5493


2015-08-03 2/2


